#ifndef _BFIN_UART_H_
#define _BFIN_UART_H_

#define BFIN_UART_READ_BUF_SIZE	(8)

#define BFIN_UART_ERR_SUCCESS	(0)
#define BFIN_UART_ERR_DMABUSY	(-1)

extern void e_bfin_uart_init(uint32_t baudrate, uint32_t sysclk);
extern int32_t e_bfin_uart_write(const uint8_t* p_write_data, uint16_t write_cnt);
extern int32_t e_bfin_uart_write_chk(void);
extern int32_t e_bfin_uart_read(uint8_t* p_read_data, uint16_t read_cnt);
extern int32_t e_bfin_uart_read_buf_cnt(void);
extern int32_t e_bfin_uart_print(const char *p_buf);

#endif /* _BFIN_UART_H_ */
